﻿@model IEnumerable<IP.BL.Domain.Flows.FlowComponents.Subtheme>

@{
    ViewBag.Title = "LinFlowStart";
    Layout = "_Layout";
}

<div class="container">
    <div class="row">
        <div class="col-lg-4 col-md-4 col-sm-12 pt-5">
            <h1 class="text-center">Enquête</h1>
                <p>Kies het subthema dat van toepassing is voor jou.</p>
            <br/>
            <form asp-controller="LineFlow" asp-action="Questions" method="get">
                <div class="container">
                    <div class="row">
                        <label for="subtheme">Kies een subthema:</label>
                    </div>
                    @* <div class="row"> *@
                    @*     <div class="col-9"> *@
                    <div class="row input-group mb-3">
                        <select name="subthemeId" id="subtheme-dd" class="form-control" required>
                            <option value="">-- Selecteer een subthema --</option>
                            @foreach (var subtheme in Model)
                            {
                                <option value="@subtheme.Id" data="@(subtheme.Info?.Text)">@subtheme.Name</option>
                            }
                        </select>
                        @* </div> *@
                        @* <div class="col-3"> *@
                        @* <button type="button" class="startbutton input-group-text" onclick="showInfo()">Info</button> *@
                        <button type="button" class="startbutton input-group-text" onclick="showInfo()" data-bs-toggle="modal" data-bs-target="#infoModal">Info</button>
                    </div>
                </div>
                <div class="modal fade" id="infoModal" tabindex="-1" aria-labelledby="infoModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="infoModalLabel">Info</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                        <button class="startbutton" type="submit" id="startbutton">Start enquête</button>
                    </div>
                </div>
                @* <div class="col-sm"> *@
                @*     <div class="col-sm"> *@
                @*         <div id="info-box"></div> *@
                @*     </div> *@
                @* </div> *@
            </form>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-12">
            <img class="img-fluid w-100 centered-image" src="~/img/enquete.jpg" alt="enqueteimg" id="enquetestartimg"/>
        </div>
    </div>
</div>

<script src="@Url.Content("~/js/info.js")"></script>